package kandata.launcher;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/** 新しいサイトを登録します. */
class AboutAction extends AbstractAction {
	KandataLauncher launcher;
	AboutAction(KandataLauncher launcher) {
		super("バージョン情報...");
		putValue(SMALL_ICON, ApplicationResources.loadIcon("about.png"));
		//putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F4, Event.ALT_MASK));
		putValue(SHORT_DESCRIPTION, "バージョン情報...");
		this.launcher = launcher;
	}
	/** アクションが発生すると呼び出されます。 */
	public void actionPerformed(ActionEvent e) {
		JOptionPane.showMessageDialog(launcher, 
			"Kandata Launcher\n"+"version1.00",
			"バージョン情報(Kandata-Launcher)", JOptionPane.INFORMATION_MESSAGE);
	}
}
